Subject: Re: Built-in connection pooler

From: Li Japin <[email-masked]>
Date: Thu, 13 Jan 2022 14:57:50 +0000

On Mar 22, 2021, at 4:59 AM, Zhihong Yu <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

+          With <literal>load-balancing</literal> policy postmaster choose proxy with lowest load average.
+          Load average of proxy is estimated by number of clients connection assigned to this proxy with extra weight for SSL connections.

I think 'load-balanced' may be better than 'load-balancing'.
postmaster choose proxy -> postmaster chooses proxy

+          Load average of proxy is estimated by number of clients connection assigned to this proxy with extra weight for SSL connections.

I wonder if there would be a mixture of connections with and without SSL.

+         Terminate an idle connection pool worker after the specified number of milliseconds.

Should the time unit be seconds ? It seems a worker would exist for at least a second.

+ * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group

It would be better to update the year in the header.

+        * Use then for launching pooler worker backends and report error

Not sure I understand the above sentence. Did you mean 'them' instead of 'then' ?

Cheers

On Sun, Mar 21, 2021 at 11:32 AM Konstantin Knizhnik <[email-masked]<mailto:[email-masked]>> wrote:
People asked me to resubmit built-in connection pooler patch to commitfest.
Rebased version of connection pooler is attached.

Hi, hackers

Does the PostgreSQL core do not interested in the built-in connection pool? If so, could
somebody tell me why we do not need it? If not, how can we do for this to make it in core?

Thanks in advance!

[Sorry if you already receive this email, since I typo an invalid pgsql list email address in previous email.]

--
Best regards
Japin Li